# Pico ePaper Display

Raspberry Pi Pico drawing random images and quotes from an SDCard onto a 7-color epaper display.


## Demo

![finished display](demo.jpg)

Russian CRT TV converted into an eco-friendly epaper photo frame.


## Operation

The Pico randomly picks a BMP file along with a random quote (joke) from the SD card and draws it on the epaper display.
Then it enters sleep mode, waits for several minutes and repeats the whole process.

It is ok to remove the SD card while the system is powered on. The card is always mounted anew and there is a fallback when some data is not available.


## Build

### Parts
- Raspberry Pi Pico
- [5.65 ACeP 7-Color Waveshare ePaper display](https://www.waveshare.com/5.65inch-e-Paper-Module-F.htm)
- SDCard SPI module

### Construction
- connect the SDCard module via SPI0 (pins 11, 12, 13, 14, 15)
- connect the epaper display via SPI1 (pins 16, 17, 18, 19) and pins 8 (DC), 9 (CS), 12 (Reset) and 13 (Busy)

### Compile
1. download some `jpg` images into the `gallery/` folder
2. run the Makefile via `make` to convert the images into 7-color `bmp` files and download a `jokes.json` file
3. upload the contents of `build/` onto an SD card
4. flash MicroPython onto the Raspberry Pi Pico
5. upload the `*.py` files onto the Pico via Thonny
6. insert the SDCard into the module
7. power it up!

